Skip to main content
Storage Management/Data Storage APIs/Distributed Storage Related Interfaces
GETDistributed Storage Related InterfacesSince 4.7.11SynchronousAuth Required

Get Access Path List

Get Access Path List

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    System tags

  • userTagsList

    User tags

  • primaryStorageUuidStringRequired

    Primary Storage UUID

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • pathInfosListRequired

    For details, see pathInfos

    • nameStringRequired

      Resource name

    • accessPathIdStringRequired

      Access path ID

    • accessPathIqnStringRequired

      Access path IQN

    • targetCountIntegerRequired

      Number of associated targets

    • gatewayIpsListRequired

      Gateway IP

  • errorErrorCodeRequired

    Error code. If not null, indicates the operation failed. This field is null when the operation succeeds. For details, see error

    • codeStringRequired

      Error code number, globally unique identifier for the error, such as SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. If there is no original error, this field is null

Endpoint

GET/zstack/v1/block-volumes/access/path

/zstack/v1/block-volumes/access/path

Operation ID

GetAccessPath

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/block-volumes/access/path?systemTags=<systemTags>&userTags=<userTags>&primaryStorageUuid=<primaryStorageUuid>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "pathInfos": [ { "accessPathId": 1, "accessPathIqn": "iqn", "targetCount": 1 } ] }

Change History

This API has no change history records yet.

View all change history